Bug 927254 - (CVE-2013-1836) CVE-2013-1836 moodle: Unauthorized settings editing through WebDav repository (MSA-13-0019)
CVE-2013-1836 moodle: Unauthorized settings editing through WebDav repository...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130325,repor...
: Security
Depends On: 927264 927267 927273
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-25 09:45 EDT by Jan Lieskovsky
Modified: 2015-08-22 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version: moodle-2.4.2, moodle-2.3.5, moodle-2.2.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 11:37:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-03-25 09:45:02 EDT
A security flaw was found in the way Moodle, a course management system, protected access to the site-wide WebDav repositories. A remote attacker (valid Moodle user) could use this flaw to in an unauthorized way to alter (view, edit, and delete) content of the site-wide WebDav repositories.

References:
[1] http://www.openwall.com/lists/oss-security/2013/03/25/2

Relevant upstream patches:
[2] http://git.moodle.org/gw?p=moodle.git;a=commit;h=ac5fc5953426befb1232106ade9e42ff239d9b63
[3] http://git.moodle.org/gw?p=moodle.git;a=commit;h=bd6581935d5e4f3138b7e1029fe17af4e306db60
[4] http://git.moodle.org/gw?p=moodle.git;a=commit;h=da9d3a1205377c027d7b476903bdbd520dd240d0
[5] http://git.moodle.org/gw?p=moodle.git;a=commit;h=89a9d21a15ec8bca9873f102375a6071258bc1e6
Comment 1 Jan Lieskovsky 2013-03-25 10:02:41 EDT
This issue affects the versions of the moodle package, as shipped with Fedora release of 18, 17, and Fedora EPEL-6. Please schedule an update.

--

This issue did NOT affect the version of the moodle package, as shipped with Fedora EPEL-5.
Comment 2 Jan Lieskovsky 2013-03-25 10:19:00 EDT
Created moodle tracking bugs for this issue

Affects: fedora-18 [bug 927264]
Comment 3 Jan Lieskovsky 2013-03-25 10:27:57 EDT
Created moodle tracking bugs for this issue

Affects: fedora-17 [bug 927267]
Comment 4 Jan Lieskovsky 2013-03-25 10:39:14 EDT
Created moodle tracking bugs for this issue

Affects: epel-6 [bug 927273]

Note You need to log in before you can comment on or make changes to this bug.